{% extends "nav.twig" %}

{% block title %}
	Modification d'un étudiant
{% endblock %}

{% block contenu %}
	<a href="{{ app.url_generator.generate('etudiants') }}">
		<button class="btn btn-default">
			<i class="glyphicon glyphicon-arrow-left"></i> Annuler
		</button>
	</a>

	<form action="{{ app.url_generator.generate('update_etu') }}" method="POST" class="top_margin">
		<input name="_method" type="hidden" value="put">
		{% for etu in etudiant %}
		<input type="hidden" name="id" value="{{etu['id']}}">

		<div class="form-group row">
			<label for="staticSurname" class="col-sm-2 col-form-label"> Prénom </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticSurname" placeholder="Prénom" name="prenom" value="{{etu['prenom']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticName" class="col-sm-2 col-form-label"> Nom </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticName" placeholder="Nom" name="nom" value="{{etu['nom']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticPicture" class="col-sm-2 col-form-label"> Photo </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticPicture" placeholder="Photo" name="photo" value="{{etu['photo']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="staticDetail" class="col-sm-2 col-form-label"> Details </label>
			<div class="col-sm-10">
		    	<input type="text" class="form-control" id="staticDetail" placeholder="Details" name="detail" value="{{etu['detail']}}" required>
			</div>
		</div>

		<div class="form-group row">
			<label for="SelectGroupe" class="col-sm-2 col-form-label"> Selectionner le groupe </label>
			<div class="col-sm-10">
				<select class="form-control" id="SelectGroupe" name="groupe">
				{% for grp in groupes %}
					{% if grp.id == etu['groupe'] %}
					<option value="{{grp.id}}" selected> {{ grp.nom }} </option>
					{% else %}
					<option value="{{grp.id}}"> {{ grp.nom }} </option>
					{% endif %}
				{% endfor %}
				</select>
			</div>
		</div>
		{% endfor %}
		<button type="submit" class="btn btn-warning"> <i class="glyphicon glyphicon-pencil"></i> Modifier </button>
	</form>
{% endblock %}
